Bug 1463130 - webconsole doesn't support a feature to remove storage
webconsole doesn't support a feature to remove storage
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.5.1
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jessica Forrester
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 04:34 EDT by Kenjiro Nakayama
Modified: 2017-06-22 21:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 09:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3091511 None None None 2017-06-22 21:16 EDT

  None (edit)
Description Kenjiro Nakayama 2017-06-20 04:34:08 EDT
It is possible to "Add storage" via webconsole with:

  "[Applications]-[Deployments]-[dc]-[Actions]-[Add Storage]"

however, it is not possible to remove the storage, besides modifying the YAML directly. We would like to remove the storage with webconsole, like "oc volume" command both --add and --remove.
Comment 1 Jessica Forrester 2017-06-20 09:55:09 EDT
There is actually an option to remove the storage, if you go to the Configuration tab for the deployment there is a Remove link next to each volume. It was added during 3.5 as part of this commit https://github.com/openshift/origin-web-console/commit/40eedd8c457537463c4ed75c59d1b86665585b9a#diff-6f7732749b219c08c17a0078fc7a6d32

Is this sufficient or is the request specifically that there needs to be a Remove Storage action in the Actions dropdown?
Comment 2 Kenjiro Nakayama 2017-06-20 10:35:05 EDT
Ah, you are right. We couldn't notice it. I think we don't need to add it to the Actions dropdown, but please let me confirm it with the customer.
Comment 3 Kenjiro Nakayama 2017-06-21 00:49:42 EDT
OK, we confirmed that it is not necessary to add "Remove Storage" to the Actions dropdown.

Note You need to log in before you can comment on or make changes to this bug.